%define gettext_package rhgb

Summary: Red Hat Graphical Boot
Name: rhgb
Version: 0.17.2
Release: 2%{?dist}
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch: s390 s390x ppc64
BuildRequires: vte-devel
BuildRequires: gettext
BuildRequires: libxf86config-devel >= 1.1.1-7
Requires: initscripts >= 7.22-1
Requires: system-logos

Patch0: rhgb-0.17.2-add-black-root.patch

%description
Red Hat Graphical Boot provides a clean and simple interface to the boot process

%prep
%setup -q
%patch0 -p1 -b .add-black-root

%build
%configure

# FIXME: need to drop the CPPFLAGS junk and fix this upstream 
# (as well as upstream all the patches that have built up)
make %{?_smp_mflags} \
     CPPFLAGS="-I$(pkg-config --variable sdkdir xorg-server)"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc doc/HOW_IT_WORKS
%{_bindir}/*
%dir %{_datadir}/rhgb
%{_datadir}/rhgb
%dir %{_sysconfdir}/rhgb
%{_sysconfdir}/rhgb/*
%dir %{_sysconfdir}/rhgb/temp

%changelog
* Tue Mar 20 2007 Ray Strode <rstrode@redhat.com> - 0.17.2-2
- pass -br by default

* Wed Feb 21 2007 Matthias Clasen <mclasen@redhat.com> - 0.17.2-1
- Fix some small color issues

* Mon Feb 19 2007 Matthias Clasen <mclasen@redhat.com> - 0.17.1-1
- Fix some glitches in the new theme

* Sun Feb 18 2007 Matthias Clasen <mclasen@redhat.com> - 0.17-1
- New artwork
- All patches moved to cvs

* Tue Dec 19 2006 Adam Jackson <ajax@redhat.com> - 0.16.4-4
- rhgb-0.16.4-wait-for-server-to-exit.patch: Added, wait for the X server
  to shut down before exiting.

* Wed Oct 25 2006 Ray Strode <rstrode@redhat.com> - 0.16.4-3
- kill rhgb before gdm starts to prevent weird vt switching
  behavior (bug 211848)

* Wed Oct 18 2006 Ray Strode <rstrode@redhat.com> - 0.16.4-2
- don't execute interactive bash shell during setup (bug 209457)
- drop the change vts code in the exit path, Adam Jackson says 
  that the code is dead code and X will do the right thing.

* Thu Oct 12 2006 Matthias Clasen <mclasen@redhat.com> - 0.16.4-1
- Update to 0.16.4 to pick up new translations  (#

* Tue Sep 26 2006 Ray Strode <rstrode@redhat.com> - 0.16.3-6
- don't SIGKILL X server
- wait for signal from X server that it's ready instead of
  just launching it an hoping for the best
- only vt switch if things go bad, X and gdm will handle 
  making sure the right vt is active.
- don't ever change the busy cursor to not busy (if we're not
  busy then rhgb shouldn't be running).  

* Wed Jul 26 2006 Mike A. Harris <mharris@redhat.com> 0.16.3-5
- Bump libxf86config-devel dep to ensure the fix for (#198653) is present.
- Ensure the package has ownership of the dirs it creates.
- Use Fedora Extras style BuildRoot tag.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.16.3-4.1
- rebuild

* Wed Jul  5 2006 Ray Strode <rstrode@redhat.com> - 0.16.3-4
- remove erroneous space from x conf filename.  Problem discovered
  from Mary Ellen Foster <mefoster@gmail.com> (bug 196885)

* Mon Jun  5 2006 Matthias Clasen <mclasen@redhat.com> - 0.16.3-3
- Require system-logos, not fedora-logos

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> - 0.16.3-2
- Rebuild

* Wed Feb 22 2006 Matthias Clasen <mclasen@redhat.com> - 0.16.3-1
- don't include the (old, unused) Fedora logo 

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.16.2-21.2.1
- rebump for build order issues during double-long bump

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.16.2-21.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.16.2-21.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 25 2006 Ray Strode <rstrode@redhat.com> 0.16.2-21
- add lame hack to scale logos down if in low resolutions (bug 178737)

* Fri Jan 20 2006 Ray Strode <rstrode@redhat.com> 0.16.2-20
- update the logo in the corner

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 0.16.2-19
- change color scheme and use new images by Diana Fong

* Sun Jan 8 2006 Ray Strode <rstrode@redhat.com> 0.16.2-18
- rebuild against modular X

* Thu Dec 22 2005 Jesse Keating <jkeating@redhat.com> 0.16.2-16
- versioned BuildRequires of libxf86config-devel

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Mon Nov 21 2005 Ray Strode <rstrode@redhat.com> 0.16.2-13
- Don't run /sbin/chvt and never call waitpid on child.  Instead
  just change vts using the VT_ACTIVATE ioctl.  Patch from Peter
  Jones <pjones@redhat.com>.
- Get rid of some other calls to waitpid and just let glib
  handle it.  The code was ignoring the return values anyway...
- add a buildreq on libxf86config-devel

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.16.2-12
- fix fontpath for modular x

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.16.2-11
- switch paths to work with modular X

* Thu Nov 10 2005 Ray Strode <rstrode@redhat.com> 0.16.2-10
- Don't switch out of details view if the user switched into
  it intially.  Patch from Mary Ellen Foster <mefoster@gmail.com>
  (bug 151239).

* Mon Oct 31 2005 Ray Strode <rstrode@redhat.com> 0.16.2-9
- add BuildRequires: gettext
- don't build in-tree copy of gtkexpander.c
- don't switch to vt1 automatically after 35 seconds (bug 135783)

* Wed Oct 26 2005 Ray Strode <rstrode@redhat.com> 0.16.2-8
- clumens, zombie-hunter, spotted another one of the 
  brain eaters

* Wed Oct 26 2005 Ray Strode <rstrode@redhat.com> 0.16.2-7
- initialize utf-8 mode on console

* Wed Oct 26 2005 Ray Strode <rstrode@redhat.com> 0.16.2-6
- Don't make setxkbmap hungry for brains 
  (reported by Chris Lumens).

* Sun Oct 09 2005 Florian La Roche <laroche@redhat.com>
- fix rebuild problems

* Mon Jan 31 2005 Bill Nottingham <notting@redhat.com> 0.16.2
- fix resetting of init's console on exit (#141953)

* Fri Nov 19 2004 Daniel Veillard <veillard@redhat.com> 0.16.1
- switch to display :9 to fix #139704
- delay creation of the fifo after X initialization to avoid deadlock
  with initscripts if X fails to start #135574
- cleanup in case of deadly signal received
- improved the debugging layer to chase aformentioned bugs.
- po/*: update the translations

* Tue Nov 16 2004 Daniel Veillard <veillard@redhat.com> 0.15.1
- fix bug #139463 where rhgb eats all the CPU on pipe handling
- update translations

* Wed Oct 13 2004 Daniel Veillard <veillard@redhat.com> 0.14.1
- try to fix the DRI problem in conjunction with x.org update
- update languages
- fix for #134742

* Tue Oct  5 2004 Elliot Lee <sopwith@redhat.com> 0.13.5-2
- rhgb-0.13.5-firstboot patch - don't do a timeout while we're running firstboot- Use _smp_mflags macro

* Fri Oct  1 2004 Daniel Veillard <veillard@redhat.com> 0.13.5
- updated the localization strings

* Thu Sep 30 2004 Daniel Veillard <veillard@redhat.com> 0.13.4
- updated the localization strings

* Fri Sep 24 2004 Daniel Veillard <veillard@redhat.com> 0.13.3
- added documentation on the boot process
- updated the localization strings

* Sat Sep 18 2004 Daniel Veillard <veillard@redhat.com> 0.13.2
- add support for specific conf file in /etc/rhgb/xorg.conf #131063
- avoid dropping back to text mode between rhgb end and gdm #108665

* Wed Sep 15 2004 Daniel Veillard <veillard@redhat.com> 0.13.1
- fix vt1 switching #131899
- fix fsck reporting, exporing it to the vte, requires a patch to
  initscript too #107121, #129881
- move temp fielsystem to /etc/rhgb/temp
- provide a mechanism to output to the detailed view
- automatically switch to detailed view or vt1 on timeouts

* Sat Sep 11 2004 Daniel Veillard <veillard@redhat.com> 0.12.6
- fix the X keyboard setting before launching firstboot #100686

* Fri Sep 10 2004 Daniel Veillard <veillard@redhat.com> 0.12.5
- fix part of the patch for xinerama which hung firstboot #128003

* Thu Sep  9 2004 Daniel Veillard <veillard@redhat.com> 0.12.4
- move rhgb out of /initrd to /etc/rhgb fixes #117575

* Tue Jul 27 2004 Daniel Veillard <veillard@redhat.com> 0.12.3
- update for translations, should fix #128288

* Mon Jul 12 2004 Daniel Veillard <veillard@redhat.com> 0.12.2
- previous version lost two patches which were not commited

* Mon Jul 12 2004 Daniel Veillard <veillard@redhat.com> 0.12.1
- bug fixes for xinerama and build fixes
- lot of translation strings update

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.11
- only launch if explicitly listed in grub

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.10.6-1
- add working xkb support

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-2
- Don't build on s390, s390x and ppc64 as they don't have libxf86config.

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-1
- add xkb support

* Tue Oct  7 2003 Jonathan Blandford <jrb@redhat.com> 0.10.4.-1s
- new splash code

* Wed Jul  9 2003 Bill Nottingham <notting@redhat.com> 0.9.4-1
- fix checking for command-line arguments, again

* Mon Jul  7 2003 Bill Nottingham <notting@redhat.com> 0.9.3-1
- fix checking for command-line arguments

* Fri Oct 11 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


